Page MenuHomePhabricator

PR27938: Don't remove valid DebugLoc in Scalarizer
ClosedPublic

Authored by Ka-Ka on May 31 2016, 3:51 AM.

Details

Summary

Added checks to make sure the Scalarizer::transferMetadata() don't
remove valid debug location's from instructions. This is important as
the verifier pass require that e.g. inlinable callsites have a valid
debug location.

https://llvm.org/bugs/show_bug.cgi?id=27938

Diff Detail

Repository
rL LLVM

Event Timeline

Ka-Ka updated this revision to Diff 59037.May 31 2016, 3:51 AM
Ka-Ka retitled this revision from to PR27938: Don't remove valid DebugLoc in Scalarizer.
Ka-Ka updated this object.
Ka-Ka added a reviewer: rsandifo.
Ka-Ka added a subscriber: llvm-commits.
Ka-Ka added a subscriber: Ka-Ka.Jun 8 2016, 12:02 AM

Anyone interested in reviewing this bugfix?

Regards
/ Karl-Johan Karlsson

Ka-Ka updated this revision to Diff 60840.Jun 15 2016, 8:47 AM
Ka-Ka added reviewers: dblaikie, aprantl.

The testcase was originally only reduced with creduce but now also with bugpoint.

dblaikie accepted this revision.Jun 15 2016, 9:08 AM
dblaikie edited edge metadata.

Please add a FileCheck/CHECK line to ensure that the location attached to the call after optimization is the one expected (the same as before optimization), then commit.

This revision is now accepted and ready to land.Jun 15 2016, 9:08 AM
This revision was automatically updated to reflect the committed changes.